VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::Type Interface Reference

The `Type` interface exposes the library.ItemModel types that this Content Library Service supports. More...

Inherited by vmware::content::TypeStub.

List of all members.

## Public Member Functions
global::System.Collections.Generic.List < vmware.content.TypeTypes.Info > | List ()
| Returns a list of Type.Info instances which describe the type support plugins in this Content Library.
global::System.Collections.Generic.List < vmware.content.TypeTypes.Info > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a list of Type.Info instances which describe the type support plugins in this Content Library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.TypeTypes.Info > > | ListAsync ()
| Returns a list of Type.Info instances which describe the type support plugins in this Content Library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.content.TypeTypes.Info > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a list of Type.Info instances which describe the type support plugins in this Content Library.

## Detailed Description

The `Type` interface exposes the library.ItemModel types that this Content Library Service supports.

A library item has an optional type which can be specified with the library.ItemModel.type field. For items with a type that is supported by a plugin, the Content Library Service may understand the files which are part of the library item and can produce metadata for the item.

In other cases, uploads may require a process in which one upload implies subsequent uploads. For example, an Open Virtualization Format (OVF) package is composed of an OVF descriptor file and the associated virtual disk files. Uploading an OVF descriptor can enable the Content Library Service to understand that the complete OVF package requires additional disk files, and it can set up the transfers for the disks automatically by adding the file entries for the disks when the OVF descriptor is uploaded.

When a type is not supported by a plugin, or the type is not specified, the Content Library Service can handle a library item in a default way, without adding metadata to the item or guiding the upload process.

## Member Function Documentation

global::System.Collections.Generic.List<vmware.content.TypeTypes.Info> vmware::content::Type::List | ( |  | ) |

Returns a list of Type.Info instances which describe the type support plugins in this Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.TypeIntrospection` .

Returns:
  The list of Type.Info instances which describe the type support plugins in this Content Library.

Implemented in vmware::content::TypeStub.

global::System.Collections.Generic.List<vmware.content.TypeTypes.Info> vmware::content::Type::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns a list of Type.Info instances which describe the type support plugins in this Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.TypeIntrospection` .

Returns:
  The list of Type.Info instances which describe the type support plugins in this Content Library.

Implemented in vmware::content::TypeStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.TypeTypes.Info> > vmware::content::Type::ListAsync | ( |  | ) |

Returns a list of Type.Info instances which describe the type support plugins in this Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.TypeIntrospection` .

Returns:
  The list of Type.Info instances which describe the type support plugins in this Content Library.

Implemented in vmware::content::TypeStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.content.TypeTypes.Info> > vmware::content::Type::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns a list of Type.Info instances which describe the type support plugins in this Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.TypeIntrospection` .

Returns:
  The list of Type.Info instances which describe the type support plugins in this Content Library.

Implemented in vmware::content::TypeStub.

The documentation for this interface was generated from the following file:

- content/Type.cs